1
#!/usr/bin/env python
2
# -*- coding: utf-8 -*-
3

4 0
"""The setup script."""
5

6 0
from setuptools import setup, find_packages
7

8 0
with open('README.rst') as readme_file:
9 0
    readme = readme_file.read()
10

11 0
with open('HISTORY.rst') as history_file:
12 0
    history = history_file.read()
13

14 0
requirements = [ ]
15

16 0
setup_requirements = ['pytest-runner', ]
17

18 0
test_requirements = ['pytest>=3', ]
19

20 0
setup(
21
    author="Andrew Maguire",
22
    author_email='andrewm4894@gmail.com',
23
    python_requires='>=3.6',
24
    classifiers=[
25
        'Development Status :: 2 - Pre-Alpha',
26
        'Intended Audience :: Developers',
27
        'License :: OSI Approved :: MIT License',
28
        'Natural Language :: English',
29
        'Programming Language :: Python :: 3.6',
30
        'Programming Language :: Python :: 3.7',
31
        'Programming Language :: Python :: 3.8',
32
    ],
33
    description="My plotting package!",
34
    install_requires=requirements,
35
    license="MIT license",
36
    long_description=readme + '\n\n' + history,
37
    include_package_data=True,
38
    keywords='am4894plots',
39
    name='am4894plots',
40
    packages=find_packages(include=['am4894plots', 'am4894plots.*']),
41
    setup_requires=setup_requirements,
42
    test_suite='tests',
43
    tests_require=test_requirements,
44
    url='https://github.com/andrewm4894/am4894plots',
45
    version='0.1.6',
46
    zip_safe=False,
47
)

Read our documentation on viewing source code .

Loading